var EXPORTED_SYMBOLS = ["AddonInfo"];

var AddonInfo = {
	get prefBranch() {
		return Private.prefBranch;
	},
	get version() {
		return Private.version;
	},
	get addonRoot() {
		return Private.addonRoot;
	},
	// array of params and preference branch string
	set addonData(aAddonData) {
		Private.prefBranch = aAddonData[1];
		Private.version = aAddonData[0].version;
		Private.addonRoot = aAddonData[0].resourceURI.spec;;
		Object.freeze(Private);
	}
};

let Private = {
	prefBranch: "",
	version: 0,
	addonRoot: null
};