const Cc = Components.classes;
const Ci = Components.interfaces;

var enableApply = function(aEnabled) {
	document.documentElement.getButton("extra1").disabled = !aEnabled;
}

var showFp = function(type) {
	var nsIFilePicker = Ci.nsIFilePicker;
	var fp = Cc["@mozilla.org/filepicker;1"].createInstance(Ci.nsIFilePicker);
	fp.init(window,'Choose File', fp.modeOpen);

	if (fp.show() == fp.returnCancel)
	return;

	Components.utils.import("chrome://dslrnotifier2/content/modules/prefs.jsm");
	
	if(type == 'im') {
		Prefs.imUrl = fp.fileURL.path;
	}
	
	else if(type == 'top') {
		Prefs.topUrl = fp.fileURL.path;
	}
};

var savePrefs = function() {
	var prefs = document.getElementsByTagName('preference');
	for (var i=0; i<prefs.length; i++) {
		prefs[i].valueFromPreferences = prefs[i].value;
	}
	
	// Disable Apply Button
	enableApply(false);
}	
	
var onLoad = function() {
	Components.utils.import("resource://gre/modules/Services.jsm");
	document.getElementById("hide_status_bar_checkbox").collapsed = (Services.appinfo.name == "Firefox");
	var instantApply = false;
	try {
		instantApply = Services.prefs.getBoolPref("browser.preferences.instantApply");
	} catch(ex) {}
	document.documentElement.getButton("extra1").collapsed = instantApply;
}